Skip to main content
AI

Generate a social media image from a description

Generates a square or vertical image suitable for social media. Costs 10 credits per successful generation. Failed calls do not deduct credits.

POST/v1/ai/image

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.postpeer.dev/v1/ai/image" \  -H "Content-Type: application/json" \  -d '{    "description": "string"  }'
{
  "success": true,
  "url": "http://example.com",
  "mimeType": "string",
  "creditsCharged": 0
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}